Download dashboard chart result

Download a CSV file of the specified chart results. The successful response is a CSV file, not JSON.

HTTP
GET $CLOUDSIGMA_API_BASE/data-dashboards/{dashboard_id}/charts/{chart_id}/result/download

Before you call this API

Configure the regional API endpoint and authentication, and select the target workspace.

Set the operation-specific values used in the request:

  • $DASHBOARD_ID: dashboard_id to use, specifying the target resource via the request path.

  • $CHART_ID: chart_id to use, specifying the target resource through the request path.

Request

Shell
curl -X GET "$CLOUDSIGMA_API_BASE/data-dashboards/$DASHBOARD_ID/charts/$CHART_ID/result/download?at=$AT" \
  -H "X-API-Key: $CLOUDSIGMA_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID"

Path parameters

Parameters

Type

Is it required

Description

dashboard_id

string

Yes

Data dashboard ID.

chart_id

string

Yes

Chart ID.

Query parameters

Parameters

Type

Is it required

Description

at

string

No

RFC 3339 time point.

Successful response

When the request is successful, the data of this operation is returned. Just because the write or run request has been accepted does not mean that the subsequent processing has been completed; please confirm the result based on the return status or subsequent query.

Text
column_a,column_b
1,example

The Content-Type of the response body is text/csv, and the content is the CSV data of the chart results.

Error response

JSON
{
  "code": "ErrParamInvalid",
  "msg": "请求参数无效",
  "data": null
}
FieldTypeDescription
codeinteger or stringError code or status.
messagestringError message.
Last updated on